from django.urls import path
# Importe directement tes vues depuis le fichier views.py local
from .views import (
    bts, 
    classe_prepa,
    cycle_gestion,
    cycle_ingenieurs, 
    formations, 
    home,
        blog,
    a_propos,
vie_etudiante,
contact,
postuler,
    licence, 
    licence_soir, 
    licence_systemes_reseaux, 
    master, 
    licence_energie_renouvelable, 
    licence_developpement_applications,
    licence_securite_informatique,
    licence_electrotechnique,
    licence_genie_electrique,





    master_genie_energie,
    master_gestion_projets,
    master_management_international,
    master_ressources_humaines,
    master_systeme_logiciel,
    master_banque_finance,
    master_comptabilite_audit,
    master_collectivites_locales,


# =========================
# 🎓 BTS
# =========================

bts_developpeur_applications,
bts_telecommunications,
bts_reseaux_locaux,
bts_maintenance_informatique,
bts_electrotechnique,
bts_energie_thermique,
bts_comptabilite_gestion,
bts_commerce_international,
bts_finances_banque,
bts_collectivites_locales,
classe_preparatoire,
)

urlpatterns = [
    path("", home, name="home"),
    path('a-propos/', a_propos, name='a_propos'),
    path('blog/', blog, name='blog'),
    path('contact/', contact, name='contact'),
    path('postuler/', postuler, name='postuler'),
    path('vie-etudiante/', vie_etudiante, name='vie_etudiante'),
    path("formations/", formations, name="formations"),
    path("parcours/bts/", bts, name="bts"),   
    path("parcours/classes-preparatoires/", classe_prepa, name="classe_prepa"),   
    path("parcours/licence/", licence, name="licence"),   
    path("parcours/licence-cours-du-soir/", licence_soir, name="licence_soir"),   
    path("parcours/master/", master, name="master"),   
    path("formation/licence/energie-renouvelable/", licence_energie_renouvelable, name='licence_energie_renouvelable'),
    path("formation/licence/systemes-reseaux-informatiques/", licence_systemes_reseaux, name='licence_systemes_reseaux'), # <-- La virgule manquait ici
    path("formation/licence/developpement-applications/", licence_developpement_applications, name='licence_developpement_applications'),
    path( 'formation/licence/securite-informatique/', licence_securite_informatique, name='licence_securite_informatique'),
    path('formation/licence/electrotechnique/',licence_electrotechnique,name='licence_electrotechnique'),
    path('formation/licence/genie-electrique/',licence_genie_electrique,name='licence_genie_electrique'),
    path('formation/master/genie-electrique-thermique-energie/', master_genie_energie, name='master_genie_energie'),
    path('formation/master/systeme-informatique-logiciel/',master_systeme_logiciel,name='master_systeme_logiciel'),
    path( 'formation/master/banque-finance/', master_banque_finance, name='master_banque_finance'),
    path( 'formation/master/comptabilite-controle-audit/', master_comptabilite_audit, name='master_comptabilite_audit'),
    path( 'formation/master/gestion-projets/', master_gestion_projets, name='master_gestion_projets'),
    path('formation/master/ressources-humaines/',master_ressources_humaines,name='master_ressources_humaines'),
    path('formation/master/gestion-collectivites-locales/',master_collectivites_locales,name='master_collectivites_locales'),
    path( 'formation/master/management-international/', master_management_international, name='master_management_international'),




    path('formation/bts/developpeur-applications/', bts_developpeur_applications, name='bts_developpeur_applications'),
    path('formation/bts/telecommunications/', bts_telecommunications, name='bts_telecommunications'),
    path('formation/bts/reseaux-locaux/', bts_reseaux_locaux, name='bts_reseaux_locaux'),
    path('formation/bts/maintenance-informatique/', bts_maintenance_informatique, name='bts_maintenance_informatique'),

    path('formation/bts/electrotechnique/', bts_electrotechnique, name='bts_electrotechnique'),
    path('formation/bts/energie-thermique/', bts_energie_thermique, name='bts_energie_thermique'),

    path('formation/bts/comptabilite-gestion/', bts_comptabilite_gestion, name='bts_comptabilite_gestion'),
    path('formation/bts/commerce-international/', bts_commerce_international, name='bts_commerce_international'),
    path('formation/bts/finances-banque/', bts_finances_banque, name='bts_finances_banque'),
    path('formation/bts/collectivites-locales/', bts_collectivites_locales, name='bts_collectivites_locales'),
    path( 'classe-preparatoire/', classe_preparatoire, name='classe_preparatoire'),



path( 'classe-preparatoire/cycle-eco-gestion/gestion/', cycle_gestion, name='cycle_gestion' ),

    path( 'classe-preparatoire/cycle-ingenieurs/ingenieurs/', cycle_ingenieurs, name='cycle_ingenieurs' ),


]  



